function [X,IC] = hypequi_r1c0(m,p,h)
%The potential and initial condition for the case c=0
%for hyperbolic Hopf surface analogues,
%There is a constraint |h*m|<=1
if h^2*m^2<=1
      m1=m;
      m2= -p; 
      k1= -(1/2)*h;
      k2=0;
      rho1=-(1/2)*m^2+(1/2)*h^2+(1/2)*p^2;
      rho2=-p*m-sqrt(-h^2*m^2+1);  
      S=sqrt(1-h^2*m^2);
      Y0=(1/sqrt(2))*[1;0;1;0;0];
      Yh0=(1/sqrt(2))*[(1/2)*(h^2+p^2+m^2+2); h^2*m+m-p*S; (1/2)*(h^2+p^2+m^2-2);...
          -h^2*m+m+p*S; sqrt(2)*h*(p*m+S)];
      psi0=(1/sqrt(2))*[h;h*m;h;-h*m;sqrt(2)*S];
      e10=(1/sqrt(2))*[m;1;m;1;0];
      e20=(1/sqrt(2))*[p;-S;p;S;sqrt(2)*h*m];
  f1=(1/sqrt(2))*(Y0+Yh0);  f2=(1/sqrt(2))*(-Y0+Yh0);
  IC=[f1,f2,e10,e20,psi0];
  rho=rho1+1i*rho2;
  
  A0=@(z)[0     m1     0      0       0;
       m1 0        0      0       0;
       0       0        0     -m2  -2*k1;
       0       0       m2   0       2*k2;
       0       0       2*k1  -2*k2   0];
    

  A1=@(z)(1/(2*sqrt(2)))*[0               0               1+rho    -1i*(1+rho)  0;
                     0                0               1-rho    -1i*(1-rho)  0;
                     1+rho      -1+rho          0              0           0;
                     -1i*(1+rho)  1i*(1-rho)      0              0           0;
                     0                0               0               0          0]; 
X=@(z)[conj(A1(z)), A0(z), A1(z)];
else
     disp('Invalid input. Data must satisfy  h^2*m^2<=1');  
  X=0;
  IC=0;
end